class RectangleComponent {
    render(container, component, width, height, configs) {
        this.container = container;
        this.component = component;

        for (const config of configs) {
            this.updateConfig(config);
        }
    }

    resize(width,height){
    }

    updateConfig(config) {
        switch (config.k) {
            case "cornerRadius":
                this.container.style.borderRadius = config.v + "px";
                break;
            case "fill":
                this.container.style.background = config.v;
                break;
            case "borderWidth":
                this.container.style.borderWidth = config.v + "px";
                break;
            case "borderColor":
                this.container.style.borderColor = config.v;
                break;
            case "borderStyle":
                this.container.style.borderStyle = config.v;
                break;
        }
    }
}